Bug 972876 - c++ compiler becomes non-functional when source >65K
c++ compiler becomes non-functional when source >65K
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: gcc (Show other bugs)
6.3
x86_64 Linux
unspecified Severity medium
: rc
: ---
Assigned To: Jakub Jelinek
qe-baseos-tools
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 13:40 EDT by David Comeau
Modified: 2016-10-08 07:58 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-04 13:47:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Comeau 2013-06-10 13:40:18 EDT
Description of problem:I started writing an application, and when the source code got to about 65K in size, the compiler went into paralisys.  I can make a change to the code.  Gedit will confirm the change.  I execute the build, and it runs error free.  The Make is run without any nagative indications.  When the code is executed, nothing has changed.
    I am prepared to submitt as much code and data examples as requested.
Is there a compiler option I can use to invoke a large program? 

Version-Release number of selected component (if applicable):


How reproducible:I wrote a Dump.cpp program, it works without errors, and the data presentation is faithful.


Steps to Reproduce:
1.I can ship the source code and the data field if requested.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 David Comeau 2013-06-11 08:39:08 EDT
Following Data obtained in System Terminal Mode:

gcc --version
System Version: gcc (GCC) 4.4.6  20120305 (Red Hat 4.4.6-4)

make --version
Make: GNU Make 3.81
"This program built for x86_64-redhet-linux-gnu"

Ststem: Red Hat Enterprise Linux Server
Release 6.3 (Santiago)
Kernel Linux 2.6.32-279.el6.x86_64
Memory: 15.2 GiB
Processor 0: Intel(R)Core(TM) i5-2500K cpu @3.30 Ghz (Same for Proc 1,2,3)
System Status: 417.4 GiB
Comment 3 David Comeau 2013-07-09 13:00:21 EDT
refrence #982235
Comment 4 Jakub Jelinek 2013-07-18 18:14:33 EDT
Without a reproducer there is nothing to do.  What exactly does g++ do?  Consume lots of CPU time until you kill it, something else?  If you can, please preprocess it (e.g. add -save-temps), attach the preprocessed source here and mention the exact command line options used to compile it.
Comment 6 David Comeau 2016-10-08 07:58:54 EDT
OK to close this report.  Problem was either discovered and/or a work-around was found.

Thank you for your support.

Note You need to log in before you can comment on or make changes to this bug.